<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:template match="/">
		<html>
		<head>
			<!-- Blue heading - alternating blue/white - all black text-->
			<img height="110" width="298" src="http://gis.fema.gov/dhs_fema_sr.jpg" usemap="#fema"/>
			<style type="text/css">
			body{padding: 5px; margin: 0px;}
			table{font-family:arial; font-size:10pt;}
			tr {background-color: white;}
			tr.shade {background-color: #D4E4F3;}
			th {color: black;background-color: #9CBCE2; border-width: 1px;}
			td {color: black;border-width: 1px;}
			</style>
			
		</head>
		<body>
		<map NAME = "fema" id= "fema">
			<area shape="rect" coords="150,0,1300,40" HREF = "http://online.fema.net" target="_blank"  alt = "http://online.fema.net"></area>
			</map>
			<xsl:variable name="nameCol" select="FieldsDoc/Fields/Field/FieldName"/>
			<xsl:variable name="nameCol2" select="FieldsDoc/Fields/Field/FieldName"/>
			
			<table border="1" width="300" cellpadding="5" cellspacing="0">
				<tr>
					<xsl:if test="$nameCol">
						<th width="50%" align="left">Field Name</th>
					</xsl:if>
					<th width="50%" align="left">Field Value</th>
				</tr>
				<xsl:for-each select="FieldsDoc/Fields/Field">
				<tr>
					<xsl:if test="(position() +1) mod 2"><xsl:attribute name="class">shade</xsl:attribute></xsl:if>
					<xsl:if test="$nameCol">
					<td><xsl:value-of select="FieldName"/></td>
					</xsl:if>
					<td>
						<xsl:choose>
							<xsl:when test="FieldValue[starts-with(., 'www.')]">
								<a target="_blank"><xsl:attribute name="href">http://<xsl:value-of select="FieldValue"/>
								</xsl:attribute><xsl:value-of select="FieldValue"/>
								</a>
							</xsl:when>
							<xsl:when test="FieldValue[starts-with(., 'http:')]">
								<a target="_blank"><xsl:attribute name="href"><xsl:value-of select="FieldValue"/>
								</xsl:attribute><xsl:value-of select="FieldValue"/>
								</a>  
							</xsl:when>
							<xsl:when test="FieldValue[starts-with(., 'https:')]">
								<a target="_blank"><xsl:attribute name="href"><xsl:value-of select="FieldValue"/>
								</xsl:attribute><xsl:value-of select="FieldValue"/>
								</a>  
							</xsl:when>
							<xsl:when test="FieldValue[starts-with(., '\\')]">
								<a target="_blank"><xsl:attribute name="href"><xsl:value-of select="FieldValue"/>
								</xsl:attribute><xsl:value-of select="FieldValue"/>
								</a>  
							</xsl:when>
							<xsl:when test="FieldValue[starts-with(., '&lt;')]">
								<xsl:value-of select="Null"/>Null<xsl:value-of select="Null"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="FieldValue"/>
							</xsl:otherwise>
						</xsl:choose>
					</td>
				</tr>
				</xsl:for-each>

			</table>
				
		</body>
		</html>
</xsl:template>
</xsl:stylesheet>